package target

import (
	"testing"
	//"git.loafle.net/overflow/overflow_proxy_service/proxy/member"
	"encoding/json"

	"git.loafle.net/overflow/overflow_proxy_service/proxy/member"
)

func TestCreateTarget(t *testing.T) {


	tt := Target{
		Ip:3232235882,
		Port:5432,
		TargetType:"DATABASE",
		Kinds:"PostgreSQL",
		Version:"9.5.0",
		VendorName:"PostgreSQL 9.5.0",
		Member:&member.MemberService{Id:"1"},
	}

	ts := NewTargetService()


	ts.Create(&tt)


}

func TestMashal(t *testing.T){

	tt := Target{
		Ip:3232235882,
		Port:5432,
		TargetType:"DATABASE",
		Kinds:"PostgreSQL",
		Version:"9.5.0",
		VendorName:"PostgreSQL 9.5.0",
		Member:&member.MemberService{Id:"1"},
	}




	bytes, _ := json.Marshal(tt)

	t.Log(string(bytes))

}

